/*static char *SCCSID = "@(#)cutilc.h	6.4 91/09/05";*/
/*static char *SCCSID = "@(#)cutilc.h	6.4 91/09/05";*/

/* function prototypes for functions defined in cutil.asm */

unsigned int  strlenfc(char far *);
int	   	  strcmpfc(char far *, char far *);
int	   	  strncmpfc(char far *, char far *, unsigned int);
char far * 	  strcpyfc(char far *, char far *);
char far * 	  memsetfc(char far *, char, unsigned int);

unsigned int udivc (unsigned long int, unsigned int);
unsigned int long ushortmulc (unsigned int ushort_1, unsigned int ushort_2);
unsigned long int ulongmulc (unsigned long int ulong_1, unsigned long int ulong_2);

#define strcatfc(x, y)   strcpyfc(x + strlenfc(x), y)
